ranges::views::remove_if_fn Struct Reference
Inheritance diagram for ranges::views::remove_if_fn:

## Synopsis of methods

constexpr remove_if_fn | remove_if {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::remove_if_base_fn
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> remove_if_view< all_t< Rng >, Pred > requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>
template<typename Rng , typename Pred , typename Proj >
constexpr auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> remove_if_view< all_t< Rng >, composed< Pred, Proj >> requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, projected< iterator_t< Rng >, Proj >>
Public Member Functions inherited from ranges::views::remove_if_bind_fn
template<typename Pred >
constexpr auto | operator() (Pred pred) const
template<typename Pred , typename Proj >
constexpr auto | operator() (Pred &&pred, Proj proj) const requires(!range< Pred >)